Package ru.bitel.bgbilling.modules.card.server.idealer.findbean

# Class FindContractUtils

java.lang.Object
ru.bitel.bgbilling.modules.card.server.idealer.findbean.FindContractUtils

public class FindContractUtils extends Object
Здесь раньше были методы поиска договора по различным критериям (адрес, телефон, логин и т.п.) Теперь все это делает универсальное API поиска договоров

See Also:
  - `SearchContracts`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FindContractUtils()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static List<Contract>`
  `findContract(Connection con, ru.bitel.bgbilling.modules.card.server.idealer.Conf conf, long findmodes, long allowcontracts, long allowcontractsMode, jakarta.servlet.http.HttpServletRequest request, boolean accurate)`
  `static Map<String,String>`
  `getSearchParametersMap(ru.bitel.bgbilling.modules.card.server.idealer.Conf conf, long findmodes, long allowcontracts, long allowcontractsMode, jakarta.servlet.http.HttpServletRequest request, boolean _accurate)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### FindContractUtils

    public FindContractUtils()

- ## Method Details

  - ### findContract

    public static List<Contract> findContract(Connection con, ru.bitel.bgbilling.modules.card.server.idealer.Conf conf, long findmodes, long allowcontracts, long allowcontractsMode, jakarta.servlet.http.HttpServletRequest request, boolean accurate)
    Parameters:
      `con` -
      `moduleSetup` -
      `modes` -
      `request` -
      `accurate` - обязателен или нет "точный" поиск (=)
    Returns:

  - ### getSearchParametersMap

    public static Map<String,String> getSearchParametersMap(ru.bitel.bgbilling.modules.card.server.idealer.Conf conf, long findmodes, long allowcontracts, long allowcontractsMode, jakarta.servlet.http.HttpServletRequest request, boolean _accurate)
    Parameters:
      `con` -
      `moduleSetup` -
      `modes` -
      `request` -
      `_accurate` - обязательен или нет "точный" поиск (=)
    Returns: